SDL_LoadFile_IO(3)

NAME
SDL_LoadFile_IO - Load all the data from an SDL data stream.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

void* SDL_LoadFile_IO(SDL_IOStream *src, size_t *datasize, SDL_bool closeio);

DESCRIPTION
The data is allocated with a zero byte at the end (null terminated) for convenience. This extra byte is not included in the value reported via datasize . The data should be freed with SDL_free ().

FUNCTION PARAMETERS

src the SDL_IOStream
     to read all available data from

datasize
    if not NULL, will store the number of bytes read

closeio
    if SDL_TRUE , calls SDL_CloseIO () on src before returning, even in the case of an error

RETURN VALUE
Returns the data, or NULL if there was an error.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LoadFile(3)